$(function()
{
	//장비번호 클릭시 서버 토글 열기
	$("#server_code").click(function()
	{
		$("#server").show();
	});
	
		//장비번호 불러오기
	$("#server_code").bind("input",function()
	{
		$("#server").empty();
		d = $(this).val();
		$.get("IdcGetUseServerCode.jso","&server_code="+d,function(data)
		{
			var t = data.a;
			for(var i=0;i<t.length;i++)
			{
				var li = $("<li>");
				var a = $("<a>");
				
				a.addClass("server_code").html(t[i]).attr("href","#");
				
				li.append(a);
				$("#server").append(li);
			}
		});
	})
	//장비번호 여러개 중  클릭시 하는 일.
	$(document).on("click",".server_code",function()
	{
		var code = $(this).html();
		$("#server_code").val(code);
		$("#server").hide();
		var cs = $("#cs_code");
		
		$.get("IdcGetCSList.jso","&server_code="+code,function(data)
		{
			var t = data.a;		//a = cs리스트가 있다.
			var t2 = data.b;		//b = 서비스 정보가 있다.
		
			if(t.length==0)
				alert("해당 서버에 등록된 cs가 부족합니다.");
			else
			{
				cs.empty();
				for(var i=0;i<t.length;i++)
				{
					cs.append($("<option>").val(t[i]).html(t[i]));
				}
			}
			$("#service_line").val(t2.service_line);
			$("#client_name").val(t2.client_name);
			$("#service_ip").val(t2.service_ip);
			$("#service_code").val(t2.service_code);
			$("#service_admin").val(t2.service_admin);
		});
	});
	
});